.. _external_api:

############
External API
############

.. _waves_scons_api:

****************
SCons Extensions
****************

.. only:: html or epub

   .. automodule:: waves.scons_extensions
      :members:
      :show-inheritance:
      :special-members: __call__

.. only:: latex or man

   .. automodule:: waves.scons_extensions
      :noindex:
      :members:
      :show-inheritance:
      :special-members: __call__

.. _parameter_generator_api:

********************
Parameter Generators
********************

.. only:: html or epub

   .. automodule:: waves.parameter_generators
      :members:
      :inherited-members:
      :show-inheritance:

.. only:: latex or man

   .. automodule:: waves.parameter_generators
      :noindex:
      :members:
      :inherited-members:
      :show-inheritance:

**************************
Quantity of Interest (QOI)
**************************

.. only:: html or epub

   .. automodule:: waves.qoi
      :members:
      :inherited-members:
      :show-inheritance:

.. only:: latex or man

   .. automodule:: waves.qoi
      :noindex:
      :members:
      :inherited-members:
      :show-inheritance:

**********
Exceptions
**********

.. only:: html or epub

   .. automodule:: waves.exceptions
      :members:
      :show-inheritance:

.. only:: latex or man

   .. automodule:: waves.exceptions
      :noindex:
      :members:
      :show-inheritance:
